.container {
    padding-top: 1.5rem;
}

.passkeyCredentialContainer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid #ccc;
    border-radius: 0.2rem;
    margin-bottom: 1rem;
    background-color: transparent;
    padding: 0.5rem 0;
}

.passkeyCredentialIconDiv {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1.5rem;
}

.passkey-key-icon {
    width: 40%;
    height: auto;
    max-width: 3rem;
    max-height: 3rem;
    object-fit: contain;
}

.passkeyCredentialTextDiv {
    flex: 1;
    padding: 0;
}

.passkeyCredentialTextTitleText {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-all;
}

.passkeyCredentialTextTitleText i {
    cursor: pointer;
    margin-right: 0.8rem;
}

.passkeyCredentialTextText {
    font-size: 14px;
}

.passkeyCredentialButtonDiv {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 1rem;
}

.passkey-delete-trash-button {
    display: flex;
    align-items: center;
    background-color: transparent;
    color: red;
    border: 1px solid red;
    border-radius: 10px;
    cursor: pointer;
    padding: 0.1rem 0.5rem;
    font-size: 14px;
}

.passkey-delete-trash-img {
    width: auto;
    height: 1.3rem;
}

@media (max-width: 576px) {
    .passkey-delete-trash-button .delete-text {
        display: none;
    }

    .passkey-delete-trash-img {
        margin-right: 0;
        height: 2rem;
    }

    .passkey-delete-trash-button {
        padding: 0;
    }
    
    .passkeyCredentialIconDiv {
        padding: 0 1rem;
    }

    .passkey-key-icon {
        width: 60%;
        height: auto;
        object-fit: contain;
    }
}

.modal-content {
    padding:0.8em;
}

.modal-content-label {
    font-size: 14px;
    text-align: left;
    font-weight: bold
}

.passkey-modal-btn-box {
    text-align: right;
    padding-top: 2em;
    padding-bottom: 0.4em;
}

.image-center {
    margin: auto;
    display: block;
}

.padded-element {
    padding: 0.5em 0.5em 1.5em 0.5em;
}

.margin-bottom {
    margin-bottom: 0.5em !important;
}

.transparent-btn-bg {
    background-color: transparent;
    color: #424242;
    border-color: #424242;
}

.transparent-btn-bg:hover {
    background-color: transparent;
    color: #0089c6;
    border-color: #0089c6;
}
.transparent-btn-bg:active {
    background-color: transparent;
    color: #1479a6;
    border-color: #1479a6;
}

